<div
  class="modal"
  tabindex="-1"
  role="dialog"
  [ngStyle]="{ display: displayStyle }"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Motor Dealer</h4>
      </div>
      <div id="modalBody" class="modal-body">
        <p>{{ modalBodyContent.brand }} - {{ modalBodyContent.model }}</p>
        <p>{{ modalBodyContent.variant }}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" (click)="closePopup()">
          Close
        </button>
      </div>
    </div>
  </div>
</div>